<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>SE Code of Ethics</title>
</head>
<body>
<header><em>Science and Engineering Ethics (2001) 7. 231-238</em></header>
<hr>
<h1>Software Engineering Code of ethics and Professional Practice</h1>
<h4>IEEE-CS/ACM Joint Task Force on Software Engineer Ethics and Professional Practices</h4>
<hr>
<p><strong>Keywords</strong>: code of ethics, professional responsibility, software engineering</p>
<h4>PREAMBLE</h4>
<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in full version gice example and details of how these aspirations change the way we act as software engineering profressionals. Without the aspirations, the details can becomelegalistic and tedious; without the detail, the aspirations can become high-sounding but empty; together, the aspirations and the details from cohesive code</p>
<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of public, software engineers shall adhere to the following eight Principles:</p>
<h4>PRINCIPLES</h4>
	<ol>	
		<li><em>Public.</em> Software engineers shall act consistency with the public interest.</li>
		<li><em>Client and employer.</em> Software engineers shall act in a manner that is in best interests of their client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Software engineers shall ensure that their products and related modifications mee the highest professional standards possible.</li>
		<li><em>Judgment.</em> Software engineers shall maintain integrity and independence in their professional judgment.</li>
		<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance</li>
		<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession</li>
	</ol>
</body>
</html>